## ros-noetic-grid-map-demos 1.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(grid_map_demos)

set(CMAKE_CXX_STANDARD 11)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  grid_map_core
  grid_map_ros
  grid_map_cv
  grid_map_filters
  grid_map_loader
  grid_map_msgs
  grid_map_octomap
  grid_map_rviz_plugin
  grid_map_visualization
  geometry_msgs
  sensor_msgs
  cv_bridge
  octomap_msgs
  filters
)

find_package(OpenCV REQUIRED
  COMPONENTS
  opencv_highgui
  CONFIG
)

find_package(octomap REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIR}
  ${OCTOMAP_INCLUDE_DIR}
)

## Declare a cpp executable
add_executable(simple_demo
  src/simple_demo_node.cpp
)

add_executable(tutorial_demo
  src/tutorial_demo_node.cpp
)

add_executable(iterators_demo
  src/iterators_demo_node.cpp
  src/IteratorsDemo.cpp
)

add_executable(image_to_gridmap_demo
  src/image_to_gridmap_demo_node.cpp
  src/ImageToGridmapDemo.cpp
)

add_executable(grid_map_to_image_demo
  src/grid_map_to_image_demo_node.cpp
  src/GridmapToImageDemo.cpp
)

add_executable(octomap_to_gridmap_demo
  src/octomap_to_gridmap_demo_node.cpp
  src/OctomapToGridmapDemo.cpp
)

add_executable(move_demo
  src/move_demo_node.cpp
)

add_executable(iterator_benchmark
  src/iterator_benchmark.cpp
)

add_executable(opencv_demo
  src/opencv_demo_node.cpp
)

add_executable(resolution_change_demo
  src/resolution_change_demo_node.cpp
)

add_executable(filters_demo
  src/filters_demo_node.cpp
  src/FiltersDemo.cpp
)

add_executable(normal_filter_comparison_demo
  src/normal_filter_comparison_node.cpp
)

add_executable(interpolation_demo
  src/interpolation_demo_node.cpp
  src/InterpolationDemo.cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(
  simple_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  tutorial_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  iterators_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  image_to_gridmap_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  grid_map_to_image_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  octomap_to_gridmap_demo
  ${catkin_LIBRARIES}
  ${OCTOMAP_LIBRARIES}
)

target_link_libraries(
  move_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  iterator_benchmark
  ${catkin_LIBRARIES}
)

target_link_libraries(
  opencv_demo
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

target_link_libraries(
  resolution_change_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  filters_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  normal_filter_comparison_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  interpolation_demo
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

catkin_install_python(
  PROGRAMS scripts/image_publisher.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark executables and/or libraries for installation
install(
  TARGETS 
    filters_demo
    image_to_gridmap_demo
    grid_map_to_image_demo
    interpolation_demo
    iterator_benchmark
    iterators_demo
    move_demo
    normal_filter_comparison_demo
    octomap_to_gridmap_demo
    opencv_demo
    resolution_change_demo
    simple_demo
    tutorial_demo
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation
install(
  DIRECTORY config data doc launch rviz scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

##############
##   Test   ##
##############
if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}-test
    test/empty_test.cpp
  )
  add_dependencies(${PROJECT_NAME}-test
    filters_demo
    image_to_gridmap_demo
    grid_map_to_image_demo
    interpolation_demo
    iterator_benchmark
    iterators_demo
    move_demo
    normal_filter_comparison_demo
    octomap_to_gridmap_demo
    opencv_demo
    resolution_change_demo
    simple_demo
    tutorial_demo
  )
  target_include_directories(${PROJECT_NAME}-test PRIVATE
    include
  )
  target_include_directories(${PROJECT_NAME}-test SYSTEM PUBLIC
    ${catkin_INCLUDE_DIRS}
  )
  target_link_libraries(${PROJECT_NAME}-test
    gtest_main
    ${catkin_LIBRARIES}
  )

  ###################
  ## Code_coverage ##
  ###################
  find_package(cmake_code_coverage QUIET)
  if(cmake_code_coverage_FOUND)
    add_gtest_coverage(
      TEST_BUILD_TARGETS
        ${PROJECT_NAME}-test
    )
  endif()
endif()

#################
## Clang_tools ##
#################
find_package(cmake_clang_tools QUIET)
if(cmake_clang_tools_FOUND)
  add_default_clang_tooling(
    DISABLE_CLANG_FORMAT
  )
endif(cmake_clang_tools_FOUND)

=== debian/changelog ===
ros-noetic-grid-map-demos (1.6.4-1focal) focal; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-noetic-grid-map-demos (1.6.3-1focal) focal; urgency=high

  * Added GridMapToImageDemo. Saves the elevation layer of a grid_map to a file.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 18 Oct 2020 22:00:00 -0000

ros-noetic-grid-map-demos (1.6.2-1focal) focal; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-noetic-grid-map-demos (1.6.1-1focal) focal; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-grid-map-demos (1.6.0-1focal) focal; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Fixing cpp-check warnings and errors.
  * Fixed dependencies for grid_map_demos.
  * Updated terrain for filters demo.
  * Updated filter demo chain.
  * Contributors: Perry Franklin, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-noetic-grid-map-demos (1.5.2-1focal) focal; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-noetic-grid-map-demos (1.5.1-1focal) focal; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-noetic-grid-map-demos (1.5.0-1focal) focal; urgency=high

  * Added demo for octomap to grid map conversion.
  * Updated installation for demos.
  * General performance improvements, cleanups, and reformatting.
  * Contributors: Jeff Delmerico, Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-grid-map-demos (1.4.2-1focal) focal; urgency=high

  * Addressing C++ compiler warnings.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-noetic-grid-map-demos (1.4.1-1focal) focal; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-noetic-grid-map-demos (1.4.0-1focal) focal; urgency=high

  * Added Grid Map RViz plugin to RViz configuration.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-noetic-grid-map-demos (1.3.3-1focal) focal; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-noetic-grid-map-demos (1.3.2-1focal) focal; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-noetic-grid-map-demos (1.3.1-1focal) focal; urgency=high

  * Updated grid map loader demo.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-noetic-grid-map-demos (1.3.0-1focal) focal; urgency=high

  * Added new demonstrators for OpenCV based operations.
  * Resolving build errors for OpenCV.
  * Added comment on iterator performance (#45 <https://github.com/anybotics/grid_map/issues/45>).
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-noetic-grid-map-demos (1.2.0-1focal) focal; urgency=high

  * New iterator_benchmark demo to exemplify the usage of the iterators and their computational performance.
  * Added new move_demo to illustrate the difference between the move and setPosition method.
  * Contributors: Péter Fankhauser, Christos Zalidis, Daniel Stonier

 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-noetic-grid-map-demos (1.1.3-1focal) focal; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-demos (1.1.2-1focal) focal; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-demos (1.1.1-1focal) focal; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-demos (1.1.0-1focal) focal; urgency=high

  * added installation instructions in CMakeLists
  * updated demo for new ellipse iterator tool
  * general improvements and bugfixes

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-noetic-grid-map-demos (1.0.0-1focal) focal; urgency=high

  * release for Springer ROS Book Chapter

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-grid-map-demos
Section: misc
Priority: optional
Maintainer: Maximilian Wulf <mwulf@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-grid-map-core, ros-noetic-grid-map-cv, ros-noetic-grid-map-filters, ros-noetic-grid-map-loader, ros-noetic-grid-map-msgs, ros-noetic-grid-map-octomap, ros-noetic-grid-map-ros, ros-noetic-grid-map-rviz-plugin, ros-noetic-grid-map-visualization, ros-noetic-octomap-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-noetic-grid-map-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-grid-map-core, ros-noetic-grid-map-cv, ros-noetic-grid-map-filters, ros-noetic-grid-map-loader, ros-noetic-grid-map-msgs, ros-noetic-grid-map-octomap, ros-noetic-grid-map-ros, ros-noetic-grid-map-rviz-plugin, ros-noetic-grid-map-visualization, ros-noetic-octomap-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: Demo nodes to demonstrate the usage of the grid map library.
